def doPost(request, session):

	if request.has_key('postData') and request['postData'].has_key('incGwName') and request['postData'].has_key('incGwUuid'):
		from com.inductiveautomation.ignition.gateway import IgnitionGateway
		from com.inductiveautomation.ignition.gateway.gan import IncomingConnection
		from com.inductiveautomation.ignition.gateway.model import GatewayContext
		from simpleorm.dataset import SQuery
	
		expectedName = '{0}|{1}'.format(request['postData']['incGwName'], request['postData']['incGwUuid'])
		incomingConnections = IgnitionGateway.get().getPersistenceInterface().query(SQuery(IncomingConnection.META))
		
		for incomingConnection in incomingConnections:
			meta = incomingConnection.getMeta()
			IncConRecordName = str(meta.getRecordName(incomingConnection))
			if 	str(incomingConnection.getSecurityStatus()) == 'PendingApproval' and IncConRecordName == expectedName:
				incomingConnection.setSecurityStatus(IncomingConnection.SecurityStatus.Approved)
				IgnitionGateway.get().getPersistenceInterface().save(incomingConnection)
				return {'response': 'Finished'}
	else:
		return {'response': 'Payload did not satisfy conditions'}