def doGet(request, session):
	from com.inductiveautomation.ignition.gateway import IgnitionGateway
	from com.inductiveautomation.ignition.gateway.gan import IncomingConnection
	from simpleorm.dataset import SQuery
	connections = []
	
	incomingConnections = IgnitionGateway.get().getPersistenceInterface().query(SQuery(IncomingConnection.META))
	
	for incomingConnection in incomingConnections:
		if 	str(incomingConnection.getSecurityStatus()) == 'PendingApproval':
			result = {}
			meta = incomingConnection.getMeta()
			IncConRecordName = str(meta.getRecordName(incomingConnection))
			result['incGwName'] = IncConRecordName.split('|')[0]
			result['incGwUuid'] = IncConRecordName.split('|')[1]
			result['id'] = int(incomingConnection.getId())
			result['securityStatus'] = str(incomingConnection.getSecurityStatus())
			connections.append(result)
	
	return {'json': connections}